Subject: 25.0.50; can't bootstrap -- temacs dumps core

From: Nicolas Richard <[email-masked]>
Date: Fri, 27 Feb 2015 15:51:45 +0100

I can't bootstrap emacs on master branch, atm : temacs dumps core.
The backtrace is below.

This specific error (i.e. SIGSEGV in temacs) was introduced by the
commit below. Before that commit, however, "make bootstrap" wouldn't
work either (namely it was not able to link temacs -- see after the
backtrace if that's of any interest).

--8<---------------cut here---------------start------------->8---
commit 5917b7907ad0cdc38f14967d16aa8472be572e3f
Author: Jan Djärv <[email-masked]>
Date:   Thu Feb 26 16:42:03 2015 +0100

    Don't use OUTER_TO_INNER macros for plain X and lucid.
    
    * xmenu.c (create_and_show_popup_menu): Call XTranslateCoordinates,
    dont use OUTER_TO_INNER macros.
    (x_menu_show): Call x_real_pos_and_offsets, don't use
    OUTER_TO_INNER macros.
--8<---------------cut here---------------end--------------->8---

Now the gdb output with backtrace (note that I disabled the loading of
src/.gdbinit because of errors):

Reading symbols from src/temacs...done.
Starting program: /home/youngfrog/sources/emacs/emacs-new-repo/src/temacs 
warning: Could not load shared library symbols for linux-gate.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
0xb6d67f34 in backtrace () from /lib/libc.so.6
#0  0xb6d67f34 in backtrace () from /lib/libc.so.6
#1  0x0822f49c in emacs_backtrace (backtrace_limit=-1) at sysdep.c:2177
#2  0x081f41fb in main (argc=1, argv=0xbfffee84) at emacs.c:891
#0  0xb6d67f34 in backtrace () from /lib/libc.so.6
No symbol table info available.
#1  0x0822f49c in emacs_backtrace (backtrace_limit=-1) at sysdep.c:2177
        main_backtrace_buffer = {0xbfffed08, 0xb7ffefbc, 0xb7ff2be6 <malloc+6>, 0xb6c66880, 0xb7fe9f21 <_dl_map_object_deps+641>, 0xb6c6689c, 0xb6c66880, 0x18, 0xbfffecc7, 0xb70b3868, 0xb70b35a8, 0xb7d9b560, 0xb7d9b2b0, 0xb6f2eae8, 0x0, 0xb7febf7e <_dl_catch_error+94>, 0xbfffecc7, 0xbfffe590, 0xb7ffefbc, 
          0xb7fe9c40 <openaux>, 0xb7d83da8, 0xbfffed08, 0xbfffe570, 0xb7febf7e <_dl_catch_error+94>, 0xbfffecc7, 0xbfffe5b0, 0xb7ffefbc, 0xb7fe9c40 <openaux>, 0xb7dbeedc, 0xbfffed08, 0xbfffe590, 0xb7febf7e <_dl_catch_error+94>, 0xb7ff2ac8 <__libc_memalign+8>, 0xb7ffefbc, 0x8, 0xbfffe680, 0xb7ff2c03 <malloc+35>, 
          0x8, 0x1c, 0x30, 0xbfffed08, 0xb7ffefbc, 0xb7ff2be6 <malloc+6>, 0xb6c66860, 0xb7fe9f21 <_dl_map_object_deps+641>, 0xb6c66870, 0xb6c66860, 0xc, 0xbfffed08, 0x1, 0xb6c665b0, 0xbfffe4b0, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xbfffed08, 0xbfffed08, 0x1, 0xb6c66310, 
          0xbfffe620, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xc, 0xbfffed08, 0x1, 0xb6c66000, 0xbfffe640, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0x14, 0x8453f14, 0xb7d9b2b0, 0xb6f2eae8, 0x0, 0x0, 0x0, 0x0, 0xb7fe9c40 <openaux>, 0x8453f0c, 
          0xbfffed08, 0xbfffe660, 0xb7febf7e <_dl_catch_error+94>, 0xbfffecc7, 0xbfffe6a0, 0xb7ffefbc, 0xb7fe9c40 <openaux>, 0x8453f04, 0xbfffed08, 0xbfffe680, 0xb7febf7e <_dl_catch_error+94>, 0xbfffecc7, 0xbfffe6c0, 0xb7ffefbc, 0xb7fe9c40 <openaux>, 0x8453efc, 0xbfffed08, 0xbfffe6a0, 
          0xb7febf7e <_dl_catch_error+94>, 0xbfffecc7, 0xbfffe6e0, 0xb7ffefbc, 0xb7fe9c40 <openaux>, 0x8453ef4, 0xbfffed08, 0xbfffe6c0, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb6f2eae8, 0xbfffe660, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 
          0xbfffed08, 0x1, 0xb6f2e820, 0xbfffe710, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb6f2e560, 0xbfffe730, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 
          0x1, 0xb6f2e2b8, 0xbfffe750, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb6f2e000, 0xbfffe770, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 
          0xb70b3b20, 0xbfffe790, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb70b3868, 0xbfffe7b0, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb70b35a8, 
          0xbfffe7d0, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb70b32e8, 0xbfffe7f0, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb70b3030, 0xbfffe810, 
          0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb726dd80, 0xbfffe830, 0xb7fe9e3d <_dl_map_object_deps+413>, 0xb7fe9c40 <openaux>, 0xbfffecd8, 0xb7febf7e <_dl_catch_error+94>, 0xbfffed08, 0x1, 0xb726dad0, 0xbfffe850...}
        bounded_limit = -1
        buffer = 0xbfffe55c
        npointers = 52
#2  0x081f41fb in main (argc=1, argv=0xbfffee84) at emacs.c:891
        dummy = -5268525465680825363
        stack_bottom_variable = -62 '\302'
        do_initial_setlocale = 183
        dumping = false
        skip_args = 0
        rlim = {rlim_cur = 8388608, rlim_max = 18446744073709551615}
        no_loadup = false
        junk = 0x0
        dname_arg = 0x0
        ch_to_dir = 0x0
        original_pwd = 0x0

FTR, here's what the error is when the parent of
5917b7907ad0cdc38f14967d16aa8472be572e3f is checked out:

xmenu.o: dans la fonction « create_and_show_popup_menu »:
/home/youngfrog/sources/emacs/emacs-new-repo/src/xmenu.c:1341: référence indéfinie vers « FRAME_OUTER_TO_INNER_DIFF_X »
/home/youngfrog/sources/emacs/emacs-new-repo/src/xmenu.c:1342: référence indéfinie vers « FRAME_OUTER_TO_INNER_DIFF_Y »
collect2: erreur: ld a retourné 1 code d'état d'exécution

(that's in french, but I assume you can guess the meaning -- and I can
reproduce in english if necessary).

In GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2015-02-03 on localhost
Repository revision: 807dad87e61183b05a6951e071ec7a67c8e2abfd
Windowing system distributor `The X.Org Foundation', version 11.0.11500000
System Description:	Gentoo Base System release 2.2

Configured using:
 `configure --with-x-toolkit=lucid --enable-checking --with-wide-int
 'CFLAGS= -O0 -g3''

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF
GSETTINGS NOTIFY ACL GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB

Important settings:
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

-- 
Nicolas Richard